CreateTrustAnchor - IAM Roles Anywhere
Services or capabilities described in AWS documentation might vary by Region. To see the differences applicable to the AWS European Sovereign Cloud Region, see the AWS European Sovereign Cloud User Guide.

CreateTrustAnchor

Creates a trust anchor to establish trust between IAM Roles Anywhere and your certificate authority (CA). You can define a trust anchor as a reference to an AWS Private Certificate Authority (AWS Private CA) or by uploading a CA certificate. Your AWS workloads can authenticate with the trust anchor using certificates issued by the CA in exchange for temporary AWS credentials.

Required permissions: rolesanywhere:CreateTrustAnchor.

Request Syntax

POST /trustanchors HTTP/1.1 Content-type: application/json { "crlDpRevocationEnabled": boolean, "enabled": boolean, "name": "string", "notificationSettings": [ { "channel": "string", "enabled": boolean, "event": "string", "threshold": number } ], "source": { "sourceData": { ... }, "sourceType": "string" }, "tags": [ { "key": "string", "value": "string" } ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

crlDpRevocationEnabled

Specifies whether the trust anchor checks certificate revocation status against CRL distribution points.

Type: Boolean

Required: No

enabled

Specifies whether the trust anchor is enabled.

Type: Boolean

Required: No

name

The name of the trust anchor.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 255.

Pattern: [ a-zA-Z0-9-_]*

Required: Yes

notificationSettings

A list of notification settings to be associated to the trust anchor.

Type: Array of NotificationSetting objects

Array Members: Minimum number of 0 items. Maximum number of 50 items.

Required: No

source

The trust anchor type and its related certificate data.

Type: Source object

Required: Yes

tags

The tags to attach to the trust anchor.

Type: Array of Tag objects

Array Members: Minimum number of 0 items. Maximum number of 200 items.

Required: No

Response Syntax

HTTP/1.1 201 Content-type: application/json { "trustAnchor": { "createdAt": "string", "crlDpRevocationEnabled": boolean, "enabled": boolean, "name": "string", "notificationSettings": [ { "channel": "string", "configuredBy": "string", "enabled": boolean, "event": "string", "threshold": number } ], "source": { "sourceData": { ... }, "sourceType": "string" }, "trustAnchorArn": "string", "trustAnchorId": "string", "updatedAt": "string" } }

Response Elements

If the action is successful, the service sends back an HTTP 201 response.

The following data is returned in JSON format by the service.

trustAnchor

The state of the trust anchor after a read or write operation.

Type: TrustAnchorDetail object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

You do not have sufficient access to perform this action.

HTTP Status Code: 403

ServiceUnavailableException

The request has failed due to a temporary failure of the service.

message

The exception message.

retryAfterSeconds

The recommended number of seconds after which the client should retry the request.

HTTP Status Code: 503

ValidationException

Validation exception error.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: